org.springframework.cache.annotation

## Class ProxyCachingConfiguration

- java.lang.Object
- - org.springframework.cache.annotation.AbstractCachingConfiguration
  - - org.springframework.cache.annotation.ProxyCachingConfiguration

All Implemented Interfaces:
  Aware, ImportAware

    @Configuration
    public class ProxyCachingConfiguration
    extends AbstractCachingConfiguration

`@Configuration` class that registers the Spring infrastructure beans necessary to enable proxy-based annotation-driven cache management.

Since:
  3.1
Author:
  Chris Beams
See Also:
  `EnableCaching`, `CachingConfigurationSelector`

### Field Summary

### Fields inherited from class org.springframework.cache.annotation.AbstractCachingConfiguration

`cacheManager, enableCaching, keyGenerator`

### Constructor Summary

Constructors
Constructor and Description
`ProxyCachingConfiguration()`

### Method Summary

Methods
`BeanFactoryCacheOperationSourceAdvisor` `cacheAdvisor()`
`CacheInterceptor` `cacheInterceptor()`
`CacheOperationSource` `cacheOperationSource()`

### Methods inherited from class org.springframework.cache.annotation.AbstractCachingConfiguration

`reconcileCacheManager, setImportMetadata`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProxyCachingConfiguration

    public ProxyCachingConfiguration()

### Method Detail

#### cacheAdvisor

    @Bean(name="org.springframework.cache.config.internalCacheAdvisor")
    @Role(value=2)
    public BeanFactoryCacheOperationSourceAdvisor cacheAdvisor()

#### cacheOperationSource

    @Bean
    @Role(value=2)
    public CacheOperationSource cacheOperationSource()

#### cacheInterceptor

    @Bean
    @Role(value=2)
    public CacheInterceptor cacheInterceptor()